Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.launch.EPPLaunchTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPLaunchTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.launch package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.launch package.

Constructor Summary
`EPPLaunchTst(java.lang.String name)` Creates a new EPPLaunchTst object.

Method Summary
`static java.security.cert.PKIXParameters` | `loadPKIXParameters(java.lang.String aTrustStoreName, java.util.List<java.lang.String> aCrls)` Loads the trust store file and the Certificate Revocation List (CRL) file into the `PKIXParameters` used to verify the certificate chain and verify the certificate against the CRL.
`static java.security.PublicKey` | `loadPublicKey(java.lang.String aKeyStoreName, java.lang.String aPublicKeyAlias)` Loads the public key used to verify a digital signature signed with the associated private key, loaded by `loadPrivateKeyEntry(String, String, String)`.
`static void` | `main(java.lang.String[] args)` Main method for running tests using stand alone program.
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPLaunchTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testActiveSMDs()` Read and validate the active SMD's.
`void` | `testInvalidSMDs()` Read and ensure invalid SMD's do not pass validation.
`void` | `testLaunchAvailabilityCheckForm()` Tests the `testLaunchAvailabilityCheckForm` check command extension.
`void` | `testLaunchClaimsCheckForm()` Tests the `testLaunchClaimsCheckForm` check command extension.
`void` | `testLaunchCreateCodeMark()` Tests the `EPPLaunchCreate` create command extension with use of the code and mark in Sunrise Create Form.
`void` | `testLaunchCreateGeneric()` Tests the `EPPLaunchCreate` create command extension with use of the Generic Create Form: Test create command for landrush with no type defined Test create command for a landrush application Test create command for a landrush registration
`void` | `testLaunchCreateNotice()` Tests the `EPPLaunchCreate` create command extension with use of the notice information in Claims Create Form.
`void` | `testLaunchCreateSignedMark()` Tests the `EPPLaunchCreate` create command extension with use of the code and mark in Sunrise Create Form.
`void` | `testLaunchCreData()` Tests the `EPPLaunchCreData` create response extension.
`void` | `testLaunchDelete()` Tests the `EPPLaunchDelete` delete command extension.
`void` | `testLaunchInfData()` Tests the `EPPLaunchInfo` info command extension.
`void` | `testLaunchInfo()` Tests the `EPPLaunchInfo` info command extension.
`void` | `testLaunchTrademarkCheckForm()` Tests the `testLaunchTrademarkCheckForm` check command extension.
`void` | `testLaunchUpdate()` Tests the `EPPLaunchUpdate` update command extension.
`void` | `testMark()` Tests the `EPPMark` class.
`void` | `testRevokedCertSMDs()` Read and ensure SMD's signed by revoked certificate do not pass validation.
`void` | `testRevokedSMDs()` Read and ensure revoked SMD's are valid and are in the revocation list.
`void` | `testSignedMark()` Tests the `EPPSignedMark` class.
`void` | `testTrademarkHolderEnglishActive()` Tests the `EPPSignedMark` class using the exact attributes defined in the SMD sample Trademark-Holder-English-Active.smd.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPLaunchTst

    public EPPLaunchTst(java.lang.String name)

  Creates a new EPPLaunchTst object.

  Parameters:
    `name` - Name of test to execute

Method Detail

### testSignedMark

    public void testSignedMark()

  Tests the `EPPSignedMark` class. The tests include the following:
  1. Test signing with private key, without certificates and verification using public key
  2. Test signing with private key with certificates and verification using CA certificate
  3. Test signed mark XML encode / decode with XML signature validation
  4. Test base64 encoding and decoding and XML signature validation
  5. Test signing and verification with revoked certificate

### testTrademarkHolderEnglishActive

    public void testTrademarkHolderEnglishActive()

  Tests the `EPPSignedMark` class using the exact attributes defined in the SMD sample Trademark-Holder-English-Active.smd.

### testLaunchInfo

    public void testLaunchInfo()

  Tests the `EPPLaunchInfo` info command extension. The tests include the following:
  1. Test info command for launch application
  2. Test info command for launch registration

### testLaunchInfData

    public void testLaunchInfData()

  Tests the `EPPLaunchInfo` info command extension. The tests include the following:
  1. Test info command for launch application
  2. Test info command for launch registration

### testLaunchUpdate

    public void testLaunchUpdate()

  Tests the `EPPLaunchUpdate` update command extension. The tests include the following:
  1. Test update command for launch application

### testLaunchDelete

    public void testLaunchDelete()

  Tests the `EPPLaunchDelete` delete command extension. The tests include the following:
  1. Test delete command for launch application

### testLaunchClaimsCheckForm

    public void testLaunchClaimsCheckForm()

  Tests the `testLaunchClaimsCheckForm` check command extension. The tests include the following:
  1. Test Claims Check Form Command during the "claims" phase
  2. Test Claims Check Form Command during the "open" phase
  3. Test Claims Check Form Response

### testLaunchAvailabilityCheckForm

    public void testLaunchAvailabilityCheckForm()

  Tests the `testLaunchAvailabilityCheckForm` check command extension. The tests include the following:
  1. Test availability check command the custom "idn-release" launch phase

### testLaunchTrademarkCheckForm

    public void testLaunchTrademarkCheckForm()

  Tests the `testLaunchTrademarkCheckForm` check command extension. The tests include the following:
  1. Test Trademark Check Form Command
  2. Test Trademark Check Form Response

### testLaunchCreateCodeMark

    public void testLaunchCreateCodeMark()

  Tests the `EPPLaunchCreate` create command extension with use of the code and mark in Sunrise Create Form. The tests include the following:
  1. Test create command for sunrise create using just one code
  2. Test create command for sunrise create using multiple codes
  3. Test create command for sunrise create using just one mark
  4. Test create command for sunrise create using one code and mark

### testLaunchCreateGeneric

    public void testLaunchCreateGeneric()

  Tests the `EPPLaunchCreate` create command extension with use of the Generic Create Form:
  1. Test create command for landrush with no type defined
  2. Test create command for a landrush application
  3. Test create command for a landrush registration

### testLaunchCreateSignedMark

    public void testLaunchCreateSignedMark()

  Tests the `EPPLaunchCreate` create command extension with use of the code and mark in Sunrise Create Form. The tests include the following:
  1. Test create signed mark in XML, sign it, validate it without encode/decode
  2. Test create signed mark in Base64, sign it, validate it without encode/decode

### testLaunchCreateNotice

    public void testLaunchCreateNotice()

  Tests the `EPPLaunchCreate` create command extension with use of the notice information in Claims Create Form. The tests include the following:
  1. Test create command for sunrise create using the notice information

### testLaunchCreData

    public void testLaunchCreData()

  Tests the `EPPLaunchCreData` create response extension. The tests include the following:
  1. Test create response for launch application

### testMark

    public void testMark()

  Tests the `EPPMark` class. The tests include the following:
  1. Test and encode/decode of mark

### testActiveSMDs

    public void testActiveSMDs()

  Read and validate the active SMD's.

### testRevokedCertSMDs

    public void testRevokedCertSMDs()

  Read and ensure SMD's signed by revoked certificate do not pass validation.

### testInvalidSMDs

    public void testInvalidSMDs()

  Read and ensure invalid SMD's do not pass validation.

### testRevokedSMDs

    public void testRevokedSMDs()

  Read and ensure revoked SMD's are valid and are in the revocation list.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPLaunchTst`.

  Returns:
    `Junit` tests

### main

    public static void main(java.lang.String[] args)

  Main method for running tests using stand alone program.

  Parameters:
    `args` -

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

### loadPKIXParameters

    public static java.security.cert.PKIXParameters loadPKIXParameters(java.lang.String aTrustStoreName,
                                                                       java.util.List<java.lang.String> aCrls)
                                                                throws java.lang.Exception

  Loads the trust store file and the Certificate Revocation List (CRL) file into the `PKIXParameters` used to verify the certificate chain and verify the certificate against the CRL. Both the Java Trust Store is loaded with the trusted root CA certificates (trust anchors) and the CRL file is attempted to be loaded to identify the revoked certificates. If the CRL file is not found, then no CRL checking will be done.

  Parameters:
    `aTrustStoreName` - Trust store file name
    `aCrls` - List of Certificate Revocation List (CRL) file names
  Returns:
    Initialized `PKIXParameters` instance.
  Throws:
    `java.lang.Exception` - Error initializing the PKIX parameters

### loadPublicKey

    public static java.security.PublicKey loadPublicKey(java.lang.String aKeyStoreName,
                                                        java.lang.String aPublicKeyAlias)
                                                 throws java.lang.Exception

  Loads the public key used to verify a digital signature signed with the associated private key, loaded by `loadPrivateKeyEntry(String, String, String)`.

  Parameters:
    `aKeyStoreName` - Java Keystore containing the certificate
    `aPublicKeyAlias` - Java Keystore alias of the `trustedCertEntry` containing the public key
  Returns:
    Loaded `PublicKey` instance
  Throws:
    `java.lang.Exception` - Error loading the public key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.